let
  netboxAgent =
    # netbox-agent
    {
      id = "244549";
      hash = "sha256-wWpp4br8bVxXobjuWrBY1XnxK+mOkuyU9Pr+UJ8CsvI=";
    };
in
{
  "nixos-23.11" = [
    # netbox module
    {
      _type = "commit";
      sha = "163fed297ed65a24241f190d8e954ce1877f9020";
      includes = [ "nixos/modules/services/web-apps/netbox.nix" ];
      hash = "sha256-mjeRxtZozgLNzHkCxcTs3xnonNPkmPoaGxawixC9jfo=";
    }

    # netbox qrcode plugin
    {
      _type = "commit";
      sha = "ae4bf4c110378ebacb3989c9533726859cfebbfa";
      hash = "sha256-SgHhW9HCkDQsxT3eG4P9q68c43e3sbDHRY9qs7oSt8o=";
    }

    netboxAgent

    # missing jsonargparse deps for netbox-agent
    {
      # json arg parse dep: typesched-client
      _type = "commit";
      sha = "b1770afd23a7a1ebb4e5bccd8d34dfb3a58a4341";
      hash = "sha256-PNUOPgmNFQr+bwG8MQiwlI4+zkDKLL3e1GgHHskX/Dk=";
    }
    {
      # json arg parse dep: reconplogger
      _type = "commit";
      sha = "3835e47059eee32eaf5ef0eb03fce90e8c9b8ab4";
      hash = "sha256-owJL1nmYfEXSHekBGgbJrTkl3OpX6dG9oq3mjN4Xgj8=";
    }
    {
      # json arg parse dep: logmatic
      _type = "commit";
      sha = "b0de35af031b4282ac99919384f029a18704d819";
      hash = "sha256-0nJzF2WMPNs2/zI65T1j9DQ0kORDKCu3H2PWjd/bXuo=";
    }
    {
      # init at 4.27.2
      _type = "commit";
      sha = "aa724f81163725b54a06623d191de6d4c064c5ea";
      hash = "sha256-ZWOVpVVsmjBCCiMe/j4YKz6YP4m5I8TTbqWNqBaMtKA=";
    }
    {
      # 4.27.2 -> 4.27.3
      id = "284460";
      hash = "sha256-di9F8d5l0QDWt9yNpamHMyMm4AVxnsRko8+/Ruo7G3I=";
    }
    {
      # 4.27.3 -> 4.27.4
      id = "285873";
      hash = "sha256-GRytcYvIsMP2RfHlmOJIH3po2/KmfZ3fDwo3YUyXGEU=";
    }
    {
      # 4.27.4 -> 4.27.5
      id = "288546";
      hash = "sha256-iHXwZQKlaWmbd9kJbm6YyjIc3bPFHGbIghYRCPsSGHo=";
    }
    {
      # 4.27.5 -> 4.27.6
      id = "296359";
      hash = "sha256-BHevlu8eqkoRgxwFMoS9bkT/9+w0Hfp3JXWh6UKovUk=";
    }
    {
      # 4.27.6 -> 4.27.7
      id = "297825";
      hash = "sha256-tu91+T1G/sHfCLfLL4Jk/zLU/QwnHLbpxiYzRBJXFXw=";
    }

    # castopod: 1.6.4 -> 1.7.0 + ajout du support de loadcredentials
    {
      _type = "static";
      path = ./castopod.patch;
    }

    # forgejo: 1.20.6-1 -> 1.20.6-1-unstable-2024-02-22 [revert]
    {
      id = 290725;
      revert = true;
      hash = "sha256-Fu/HpmFL/Aon8TagCN20DHLab6fMSWX6uZ6J+i8mf4o=";
    }

    # forgejo: 1.20.6-0 -> 1.20.6-1 [revert]
    {
      id = 274026;
      revert = true;
      hash = "sha256-wMPjRvpLQzMdnz5qO2VWiAVY0LroXUjiJ2temZbLKcM=";
    }

    # forgejo: 1.20.5-1 -> 1.20.6-0 [revert]
    {
      id = 270697;
      revert = true;
      hash = "sha256-yJ5IkhlwH0hUsupOeZtTkdvWbMMQK2JKpcIPlKQjkp8=";
    }

    # forgejo: 1.20.5-1 -> 1.21.1-0
    {
      id = 270195;
      hash = "sha256-c65ENvvGVKrFUzx/rlWVPTsvWY8L4zPH3/lOMwvJyiA=";
    }

    # forgejo: 1.21.1-0 -> 1.21.2-0
    {
      id = 273035;
      hash = "sha256-bxuXH6KZGdu1yIgyeAHP+K7xGgJ404jSE32saGHf9KM=";
    }

    # forgejo: 1.21.2-0 -> 1.21.2-1
    {
      id = 273823;
      hash = "sha256-16wDx1qp6KVcGgEIjL2pPKMAAT4hdDJ37lPUp5J7QVc=";
    }

    # forgejo: 1.21.2-1 -> 1.21.3-0
    {
      id = 276151;
      hash = "sha256-gDT3DyCpZ6jh/EVAaqhEVv75ZZg3yUuDp9PR7pJxrLc=";
    }

    # forgejo: 1.21.3-0 -> 1.21.4-0
    {
      id = 281414;
      hash = "sha256-OUgHdIbIn6ksfOKZU0b4XqxYfLnipc3hJsCwudSkc5I=";
    }

    # forgejo: 1.21.4-0 -> 1.21.5-0
    {
      id = 285383;
      hash = "sha256-oxGQVeWGKUAfXRgoS9dYFYCrHocIFbwlN62UUdfJ+8M=";
    }

    # forgejo: 1.21.5-0 -> 1.21.6-0
    {
      id = 290705;
      hash = "sha256-A3LAHBwzRHBqNeQBYNerYILXydgIK6BBDj4bVWSUDfk=";
    }

    # nixos/nextcloud: Rename autocreate (a no-op) to verify_bucket_exists
    {
      id = 275165;
      hash = "sha256-XVq72jiLCDrZhADgyvI5y1y/5zlpX89vUBvxUolrYp8=";
    }
  ];
  "nixos-unstable" = [
    netboxAgent

    # netbox qrcode plugin
    {
      _type = "commit";
      sha = "ae4bf4c110378ebacb3989c9533726859cfebbfa";
      hash = "sha256-SgHhW9HCkDQsxT3eG4P9q68c43e3sbDHRY9qs7oSt8o=";
    }
  ];
}
